MozillaZine

mozilla.org Releases 0.9.2.1

Tuesday August 14th, 2001

mozilla.org today released the source code for 0.9.2.1, which is the code that matches Netscape 6.1. This comes from the 0.9.2 branch, and is being made available both as part of the MPL license requirement, and as a way for third parties to easily use it to write compatible plugins and addon features to Netscape 6.1, as well as Mozilla.


#90 plugin API

by strauss

Tuesday August 21st, 2001 2:49 PM

You are replying to this message

>>Moz is moving toward XPCOM, but still supports the old plug-in API. And that API is far from dead; it was the only way to make a plug-in that worked in both IE and Netscape.<<

Not really. The important part of the plugin API is the connection between JavaScript and the plugin code. That has changed completely between Netscape 4.x and Mozilla, requiring completely new code. It never did work in IE, which had very limited support for LiveConnect in Windows IE and none in Mac IE.

There never has been the cross-platform solution you describe, and the old API did die between Netscape 4.x and Mozilla.